## netctl 1.20

=== Makefile ===
export VERSION = 1.20

PKG_CONFIG ?= pkg-config

SHELL=/bin/bash

sd_var = $(shell $(PKG_CONFIG) --variable=systemd$(1) systemd)
systemdsystemconfdir = $(call sd_var,systemconfdir)
systemdsystemunitdir = $(call sd_var,systemunitdir)

.PHONY: install tarball pkgbuild upload clean

install:
	# Documentation
	$(MAKE) -C docs install
	# Configuration files
	install -d $(DESTDIR)/etc/netctl/{examples,hooks,interfaces}
	install -m644 docs/examples/* $(DESTDIR)/etc/netctl/examples/
	# Libs
	install -d $(DESTDIR)/usr/lib/netctl/{connections,dhcp}
	install -m644 src/lib/{globals,interface,ip,rfkill,wpa} $(DESTDIR)/usr/lib/netctl/
	install -m644 src/lib/connections/* $(DESTDIR)/usr/lib/netctl/connections/
	install -m644 src/lib/dhcp/* $(DESTDIR)/usr/lib/netctl/dhcp/
	install -m755 src/lib/{auto.action,network} $(DESTDIR)/usr/lib/netctl/
	# Scripts
	install -d $(DESTDIR)/usr/bin
	sed -e "s|@systemdsystemconfdir@|$(systemdsystemconfdir)|g" \
	    -e "s|@systemdsystemunitdir@|$(systemdsystemunitdir)|g" \
	    src/netctl.in > $(DESTDIR)/usr/bin/netctl
	chmod 755 $(DESTDIR)/usr/bin/netctl
	install -m755 \
	    src/netctl-auto \
	    src/wifi-menu \
	    $(DESTDIR)/usr/bin/
	install -Dm755 src/ifplugd.action $(DESTDIR)/etc/ifplugd/netctl.action
	# Services
	install -d $(DESTDIR)$(systemdsystemunitdir)
	install -m644 services/*.service $(DESTDIR)$(systemdsystemunitdir)/

tarball: netctl-$(VERSION).tar.xz
netctl-$(VERSION).tar.xz:
	$(MAKE) -B -C docs
	cp src/lib/globals{,.orig}
	sed -i "s|NETCTL_VERSION=.*|NETCTL_VERSION=$(VERSION)|" src/lib/globals
	git stash save -q
	git archive -o netctl-$(VERSION).tar --prefix=netctl-$(VERSION)/ stash
	git stash pop -q
	mv src/lib/globals{.orig,}
	tar --exclude-vcs --transform "s|^|netctl-$(VERSION)/|" --owner=root --group=root --mtime=./netctl-$(VERSION).tar -rf netctl-$(VERSION).tar docs/*.[1-8]
	xz netctl-$(VERSION).tar
	gpg --detach-sign $@

pkgbuild: PKGBUILD
PKGBUILD: netctl-$(VERSION).tar.xz netctl.install contrib/PKGBUILD.in
	sed -e "s|@pkgver@|$(VERSION)|g" \
	    -e "s|@md5sum@|$(shell md5sum $< | cut -d ' ' -f 1)|" \
	    -e "s|@md5sum.sig@|$(shell md5sum $<.sig | cut -d ' ' -f 1)|" \
	    $(lastword $^) > $@

netctl.install: contrib/netctl.install
	cp $< $@

upload: netctl-$(VERSION).tar.xz
	scp $< $<.sig sources.archlinux.org:/srv/ftp/other/packages/netctl

clean:
	$(MAKE) -C docs clean
	-@rm -vf netctl-*.tar.xz{,.sig} PKGBUILD netctl.install

=== docs/Makefile ===
# Makefile for netctl documentation

MANPAGES = netctl.1 netctl-auto.1 netctl.profile.5 netctl.special.7

.PHONY: manpages install $(MANPAGES:=-install) clean

manpages: $(MANPAGES)
$(MANPAGES): %: %.txt
	a2x -d manpage -f manpage -a manversion=$(VERSION) $<

install: $(MANPAGES:=-install)
$(MANPAGES:=-install): %-install: %
	install -Dm644 $< $(DESTDIR)/usr/share/man/man$(subst .,,$(suffix $<))/$<

clean:
	-@rm -vf $(MANPAGES)

=== debian/changelog ===
netctl (1.20-2) unstable; urgency=medium

  * Team upload.
  * Rebuild the package as requested by the maintainer.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Aug 2019 14:47:58 -0400

netctl (1.20-1) unstable; urgency=medium

  * Initial release (Closes: #896185)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 21 Mar 2019 13:12:14 +0800

=== debian/control ===
Source: netctl
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 12~),
 asciidoc-base,
 docbook-xml,
 docbook-xsl,
 pkg-config,
 systemd,
 xsltproc,
Standards-Version: 4.4.0
Homepage: https://git.archlinux.org/netctl.git
Vcs-Git: https://salsa.debian.org/yangfl-guest/netctl.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/netctl

Package: netctl
Architecture: all
Depends:
 systemd,
 iproute2,
 resolvconf,
 ${misc:Depends},
Recommends:
 dhcp-client,
 wpasupplicant,
 dialog,
 ifplugd,
Suggests:
 ppp,
 openvswitch-switch,
Description: Profile based systemd network management
 netctl is a CLI and profile-based network manager and an Arch project. It uses
 profiles to manage network connections and different modes of operation to
 start profiles automatically or manually on demand. It also provides special
 systemd services for automatically switching of profiles for wired and wireless
 connections.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?-?(\d[\d.]*)\.tar\.gz%netctl-$1.tar.gz%,pgpsigurlmangle=s%$%.sig%" \
   https://sources.archlinux.org/other/packages/netctl/ \
   (?:.*?)?-?(\d[\d.]*)\.tar\.xz debian uupdate

## netctl 1.24

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-export VERSION = 1.20
+export VERSION = 1.24
 
 PKG_CONFIG ?= pkg-config
 
@@ -17,10 +17,9 @@
 	install -d $(DESTDIR)/etc/netctl/{examples,hooks,interfaces}
 	install -m644 docs/examples/* $(DESTDIR)/etc/netctl/examples/
 	# Libs
-	install -d $(DESTDIR)/usr/lib/netctl/{connections,dhcp}
-	install -m644 src/lib/{globals,interface,ip,rfkill,wpa} $(DESTDIR)/usr/lib/netctl/
-	install -m644 src/lib/connections/* $(DESTDIR)/usr/lib/netctl/connections/
-	install -m644 src/lib/dhcp/* $(DESTDIR)/usr/lib/netctl/dhcp/
+	install -Dt $(DESTDIR)/usr/lib/netctl -m644 src/lib/{globals,interface,ip,rfkill,wpa}
+	install -Dt $(DESTDIR)/usr/lib/netctl/connections -m644 src/lib/connections/*
+	install -Dt $(DESTDIR)/usr/lib/netctl/dhcp -m644 src/lib/dhcp/*
 	install -m755 src/lib/{auto.action,network} $(DESTDIR)/usr/lib/netctl/
 	# Scripts
 	install -d $(DESTDIR)/usr/bin
@@ -34,8 +33,7 @@
 	    $(DESTDIR)/usr/bin/
 	install -Dm755 src/ifplugd.action $(DESTDIR)/etc/ifplugd/netctl.action
 	# Services
-	install -d $(DESTDIR)$(systemdsystemunitdir)
-	install -m644 services/*.service $(DESTDIR)$(systemdsystemunitdir)/
+	install -Dt $(DESTDIR)$(systemdsystemunitdir) -m644 services/*.service
 
 tarball: netctl-$(VERSION).tar.xz
 netctl-$(VERSION).tar.xz:

=== docs/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for netctl documentation
 
-MANPAGES = netctl.1 netctl-auto.1 netctl.profile.5 netctl.special.7
+MANPAGES = netctl.1 netctl-auto.1 netctl.profile.5 netctl.special.7 wifi-menu.1
 
 .PHONY: manpages install $(MANPAGES:=-install) clean

=== debian/changelog ===
netctl (1.24-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 13
  * Bump Standards-Version to 4.5.0
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Tue, 05 Jan 2021 00:09:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  asciidoc-base,
  docbook-xml,
  docbook-xsl,
  pkg-config,
  systemd,
  xsltproc,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://git.archlinux.org/netctl.git
 Vcs-Git: https://salsa.debian.org/yangfl-guest/netctl.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/netctl

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


%:
	dh $@

override_dh_auto_build:
	+make -C docs manpages

override_dh_auto_install:
	+make SHELL=/bin/bash .SHELLFLAGS="-O extglob -c" PREFIX=/usr DESTDIR="$(CURDIR)/debian/netctl" install
	mkdir debian/netctl/usr/share/netctl/
	mv debian/netctl/etc/netctl/examples debian/netctl/usr/share/netctl/
	mkdir debian/netctl/etc/ifplugd/action.d/
	mv debian/netctl/etc/ifplugd/netctl.action debian/netctl/etc/ifplugd/action.d/netctl
	mv debian/netctl/usr/lib/netctl/connections/README debian/netctl/usr/share/netctl/README.connections
	mv debian/netctl/usr/lib/netctl/dhcp/README debian/netctl/usr/share/netctl/README.dhcp

## netctl 1.28

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-export VERSION = 1.24
+export VERSION = 1.28
 
 PKG_CONFIG ?= pkg-config

=== debian/changelog ===
netctl (1.28-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2
  [ Helmut Grohne ]
  * Fix ifplugd integration: (Closes: #1022059)
    + Debian's ifplugd is installed to /usr/sbin.
    + After moving netctl.action, adapt path passed to ifplugd.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Aug 2023 06:20:27 +0800

netctl (1.24-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  systemd,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: https://git.archlinux.org/netctl.git
+Standards-Version: 4.6.2
+Homepage: https://gitlab.archlinux.org/archlinux/netctl
 Vcs-Git: https://salsa.debian.org/yangfl-guest/netctl.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/netctl

## netctl 1.29

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-export VERSION = 1.28
+export VERSION = 1.29
 
 PKG_CONFIG ?= pkg-config
 
@@ -51,8 +51,7 @@
 pkgbuild: PKGBUILD
 PKGBUILD: netctl-$(VERSION).tar.xz netctl.install contrib/PKGBUILD.in
 	sed -e "s|@pkgver@|$(VERSION)|g" \
-	    -e "s|@md5sum@|$(shell md5sum $< | cut -d ' ' -f 1)|" \
-	    -e "s|@md5sum.sig@|$(shell md5sum $<.sig | cut -d ' ' -f 1)|" \
+	    -e "s|@sha256sum@|$(shell sha256sum $< | cut -d ' ' -f 1)|" \
 	    $(lastword $^) > $@
 
 netctl.install: contrib/netctl.install

=== debian/changelog ===
netctl (1.29-1) unstable; urgency=medium

  * New upstream release
  * Switch Build-Depends to systemd-dev (Closes: #1060495, #1071983)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 28 May 2024 02:53:42 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  docbook-xml,
  docbook-xsl,
  pkg-config,
- systemd,
+ systemd-dev,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.archlinux.org/archlinux/netctl
 Vcs-Git: https://salsa.debian.org/yangfl-guest/netctl.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/netctl

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	dh $@
 
 override_dh_auto_build:
-	+make -C docs manpages
+	+$(MAKE) -C docs manpages
 
 override_dh_auto_install:
-	+make SHELL=/bin/bash .SHELLFLAGS="-O extglob -c" PREFIX=/usr DESTDIR="$(CURDIR)/debian/netctl" install
+	+$(MAKE) SHELL=/bin/bash .SHELLFLAGS="-O extglob -c" PREFIX=/usr DESTDIR="$(CURDIR)/debian/netctl" install
 	mkdir debian/netctl/usr/share/netctl/
 	mv debian/netctl/etc/netctl/examples debian/netctl/usr/share/netctl/
 	mkdir debian/netctl/etc/ifplugd/action.d/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
   https://sources.archlinux.org/other/packages/netctl/ \
   (?:.*?)?-?(\d[\d.]*)\.tar\.xz debian uupdate
